diff -burNad dlocate-upstream-0.96.1/debian/changelog dlocate-lintian-0.96.1/debian/changelog
--- dlocate-upstream-0.96.1/debian/changelog	2009-01-27 09:19:49.000000000 +0200
+++ dlocate-lintian-0.96.1/debian/changelog	2009-01-29 11:50:04.000000000 +0200
@@ -1,6 +1,20 @@
+dlocate (0.96.1-0.1) unstable; urgency=low
+
+  * debian/control: revert dependency on awk; as per Lintian error,
+    it is in practice essential, and should not be declared
+  * debian/copyright: add copyright year; disambiguate license as GPL v2
+    (fix lintian warning)
+  * debian/rules: move binary-arch commands to binary-indep; do not ignore
+    errors from "make clean" (fix lintian warnings)
+  * debian/changelog: fix typo in 0.96.1 s/dancy/dency/ (fix lintian warning)
+  * debian/postinst: don't use explicit path for /usr/sbin (fix lintian warning)
+  * debian/postrm: add -e flag (fix lintian warning)
+
+ -- era eriksson <era+debian@iki.fi>  Mon, 26 Jan 2009 19:58:57 +0200
+
 dlocate (0.96.1) unstable; urgency=low
 
-  * version 0.95 introduced a dependancy on awk, which is an optional
+  * version 0.95 introduced a dependency on awk, which is an optional
     package. the simple awk script has only been tested on my system
     with gawk, but it doesn't do anything gawkish so should work with
     mawk or original-awk. fixed Depends line.
diff -burNad dlocate-upstream-0.96.1/debian/control dlocate-lintian-0.96.1/debian/control
--- dlocate-upstream-0.96.1/debian/control	2009-01-27 09:19:49.000000000 +0200
+++ dlocate-lintian-0.96.1/debian/control	2009-01-29 11:50:04.000000000 +0200
@@ -7,7 +7,7 @@
 
 Package: dlocate
 Architecture: all
-Depends: awk, dctrl-tools | grep-dctrl (>= 0.11), dpkg (>= 1.8.0), locate | findutils (<< 4.2.31-2), ${perl:Depends}
+Depends: dctrl-tools | grep-dctrl (>= 0.11), dpkg (>= 1.8.0), locate | findutils (<< 4.2.31-2), ${perl:Depends}
 Description: fast alternative to dpkg -L and dpkg -S 
  Uses GNU locate to greatly speed up finding out which package a file
  belongs to (i.e. a very fast dpkg -S). Many other uses, including
diff -burNad dlocate-upstream-0.96.1/debian/copyright dlocate-lintian-0.96.1/debian/copyright
--- dlocate-upstream-0.96.1/debian/copyright	2009-01-27 09:19:49.000000000 +0200
+++ dlocate-lintian-0.96.1/debian/copyright	2009-01-29 11:50:04.000000000 +0200
@@ -12,7 +12,10 @@
 
 Copyright:
 
+Copyright (C) 1999 Jim Pick <jim@jimpick.com>, Craig Sanders <cas@taz.net.au>
+Copyright (C) 2007, 2008 Craig Sanders <cas@taz.net.au>
+
 original script by Jim Pick <jim@jimpick.com>, GPL'd of course
 
-see /usr/share/common-licenses/GPL for details
+see /usr/share/common-licenses/GPL-2 for details
 
diff -burNad dlocate-upstream-0.96.1/debian/postinst dlocate-lintian-0.96.1/debian/postinst
--- dlocate-upstream-0.96.1/debian/postinst	2009-01-27 09:19:49.000000000 +0200
+++ dlocate-lintian-0.96.1/debian/postinst	2009-01-29 11:50:04.000000000 +0200
@@ -25,7 +25,7 @@
 case "$1" in
     configure)
 		# generate initial dlocate database
-		/usr/sbin/update-dlocatedb >/dev/null 2>&1 &
+		update-dlocatedb >/dev/null 2>&1 &
 		# generate initial 'dpkg -l' file
         dpkg -l "*" | sed -e '1,5d' -e 's/  */ /g' -e 's/ /\t/' -e 's/ /\t/' -e 's/ /\t/' > /var/lib/dlocate/dpkg-list
 
diff -burNad dlocate-upstream-0.96.1/debian/postrm dlocate-lintian-0.96.1/debian/postrm
--- dlocate-upstream-0.96.1/debian/postrm	2009-01-27 09:19:49.000000000 +0200
+++ dlocate-lintian-0.96.1/debian/postrm	2009-01-29 11:50:04.000000000 +0200
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/sh -e
 if [ "$1" = "purge" ]; then
         rm -f /var/lib/dlocate/* 
         rmdir /var/lib/dlocate/
diff -burNad dlocate-upstream-0.96.1/debian/rules dlocate-lintian-0.96.1/debian/rules
--- dlocate-upstream-0.96.1/debian/rules	2009-01-27 09:19:49.000000000 +0200
+++ dlocate-lintian-0.96.1/debian/rules	2009-01-29 11:50:04.000000000 +0200
@@ -13,7 +13,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp install-stamp
-	-$(MAKE) clean
+	$(MAKE) clean
 	dh_clean
 
 install: install-stamp
@@ -27,10 +27,6 @@
 
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf
@@ -59,6 +55,10 @@
 	dh_md5sums
 	dh_builddeb
 
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by definition (arch is indep).
+
 source diff:                                                                  
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
